Bug 135999 - NetworkManager-0.3.1 will not connect to 128 wep
NetworkManager-0.3.1 will not connect to 128 wep
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-16 12:36 EDT by Brian Millett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 18:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2004-10-16 12:36:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
NM trys to make a connection to a 128 wep access point, but fails.
The applet shows a 'dot' to the left of the network and shows the lock
to the right, but dhcp fails, and the gui (nice new icons) shows
spinning electrons.

Version-Release number of selected component (if applicable):
NetworkManager-0.3.1 

How reproducible:
Always

Steps to Reproduce:
1.update to NM-0.3.1
2.access wireless 128 network
3.
    

Actual Results:  no connection.

Expected Results:  connectivity

Additional info:

Backporting to NetworkManager*-0.2.4 solved problem.
Comment 1 Brian Millett 2004-10-16 12:58:03 EDT
here is the syslog trace.

it looks like it connects, but fails the dhcp request.

Oct 16 11:46:27 localhost sysctl: net.ipv4.ip_forward = 0
Oct 16 11:46:27 localhost sysctl: net.ipv4.conf.default.rp_filter = 1
Oct 16 11:46:27 localhost sysctl:
net.ipv4.conf.default.accept_source_route = 0
Oct 16 11:46:27 localhost sysctl: kernel.sysrq = 0
Oct 16 11:46:27 localhost sysctl: kernel.core_uses_pid = 1
Oct 16 11:46:27 localhost NetworkManager: Setting network parameters:
 succeeded
Oct 16 11:46:27 localhost NetworkManager: starting...
Oct 16 11:46:28 localhost NetworkManager:
nm_create_device_and_add_to_list(): adding device 'eth0' (wired)
Oct 16 11:46:28 localhost NetworkManager: Nothing to flush.
Oct 16 11:46:28 localhost NetworkManager: Nothing to flush.
Oct 16 11:46:30 localhost dhclient: receive_packet failed on eth1:
Network is down
Oct 16 11:46:30 localhost NetworkManager:
nm_create_device_and_add_to_list(): adding device 'eth1' (wireless)
Oct 16 11:46:32 localhost NetworkManager: RTNETLINK answers: File exists
Oct 16 11:46:32 localhost kernel: eth1: New link status: Connected (0001)
Oct 16 11:46:32 localhost NetworkManager: AUTO: Best wired device = (null)
Oct 16 11:46:32 localhost NetworkManager: AUTO: Best wireless device =
eth1  (RunAway)
Oct 16 11:46:32 localhost NetworkManager:     SWITCH: best device changed
Oct 16 11:46:32 localhost NetworkManager:
nm_state_modification_monitor(): beginning activation for device 'eth1'
Oct 16 11:46:32 localhost NetworkManager: NetworkManager startup succeeded
Oct 16 11:46:34 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=59 <= prev_crypt=0)
Oct 16 11:46:34 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=59 <= prev_crypt=0)
Oct 16 11:46:34 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:36 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=60 <= prev_crypt=0)
Oct 16 11:46:36 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=60 <= prev_crypt=0)
Oct 16 11:46:36 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:38 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=61 <= prev_crypt=0)
Oct 16 11:46:38 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=61 <= prev_crypt=0)
Oct 16 11:46:38 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:40 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=62 <= prev_crypt=0)
Oct 16 11:46:40 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=62 <= prev_crypt=0)
Oct 16 11:46:40 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:42 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=62 <= prev_crypt=0)
Oct 16 11:46:42 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=62 <= prev_crypt=0)
Oct 16 11:46:42 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:44 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=63 <= prev_crypt=0)
Oct 16 11:46:44 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=63 <= prev_crypt=0)
Oct 16 11:46:44 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:46 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=64 <= prev_crypt=0)
Oct 16 11:46:46 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=64 <= prev_crypt=0)
Oct 16 11:46:46 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:48 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=65 <= prev_crypt=0)
Oct 16 11:46:48 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=65 <= prev_crypt=0)
Oct 16 11:46:48 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:50 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=65 <= prev_crypt=0)
Oct 16 11:46:50 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=66 <= prev_crypt=0)
Oct 16 11:46:50 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:52 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=66 <= prev_crypt=0)
Oct 16 11:46:52 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=66 <= prev_crypt=0)
Oct 16 11:46:52 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:54 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=67 <= prev_crypt=0)
Oct 16 11:46:54 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=67 <= prev_crypt=0)
Oct 16 11:46:54 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:56 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=68 <= prev_crypt=0)
Oct 16 11:46:56 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=68 <= prev_crypt=0)
Oct 16 11:46:56 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:46:58 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=69 <= prev_crypt=0)
Oct 16 11:46:58 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=69 <= prev_crypt=0)
Oct 16 11:46:58 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:00 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=69 <= prev_crypt=0)
Oct 16 11:47:00 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=69 <= prev_crypt=0)
Oct 16 11:47:00 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:02 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:02 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:02 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:04 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:04 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:04 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:06 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:06 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:06 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:08 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:08 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:08 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:10 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:10 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:10 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:12 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:12 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:12 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:13 localhost NetworkManager: AUTO: Best wired device = (null)
Oct 16 11:47:13 localhost NetworkManager: AUTO: Best wireless device =
eth1  (RunAway)
Oct 16 11:47:14 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:14 localhost NetworkManager: HAVELINK: act=0 &&
(dev_crypt=70 <= prev_crypt=0)
Oct 16 11:47:14 localhost NetworkManager: LINK: !HAVE=1, (best_ap=0x0
&& (is_enc=0 && (!source=1 || !len_source=0)))
Oct 16 11:47:19 localhost NetworkManager: AUTO: Best wired device = (null)
Oct 16 11:47:19 localhost NetworkManager: AUTO: Best wireless device =
eth1  (RunAway)
Oct 16 11:47:23 localhost NetworkManager:
nm_device_wireless_activate(eth1) using essid 'RunAway'
Oct 16 11:47:25 localhost NetworkManager: HAVELINK: act=1 &&
(dev_crypt=71 <= prev_crypt=71)
Oct 16 11:47:31 localhost dhclient: DHCPREQUEST on eth1 to
255.255.255.255 port 67
Oct 16 11:47:38 localhost dhclient: DHCPREQUEST on eth1 to
255.255.255.255 port 67
Oct 16 11:47:52 localhost dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port  67 interval 5
Oct 16 11:47:57 localhost dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port  67 interval 6
Oct 16 11:48:03 localhost dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port  67 interval 11
Oct 16 11:48:14 localhost dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port  67 interval 12
Oct 16 11:48:26 localhost dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 20
Oct 16 11:48:46 localhost dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 7
Oct 16 11:48:53 localhost dhclient: No DHCPOFFERS received.
Oct 16 11:48:53 localhost dhclient: Trying recorded lease 192.168.0.17
Oct 16 11:48:56 localhost dhclient: Trying recorded lease 192.9.200.35
Comment 2 Brian Millett 2004-10-21 18:42:49 EDT
Ok, finally had a chance to test 0.3.1-1.  Pleased to tell you that
the 128 web works.  However, I had to enter the hex key three times.

Note You need to log in before you can comment on or make changes to this bug.